- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# moeoBinaryQualityIndicator< EOFitness > Class Template Reference

Functor Binary quality indicator Binary performance measure to use in the replacement selection process of IBEA (Indicator-Based Evolutionary Algorithm) Of course, EOFitness needs to be an eoParetoFitness object. More...

`#include <moeoBinaryQualityIndicator.h>`

Inheritance diagram for moeoBinaryQualityIndicator< EOFitness >:

List of all members.

## Public Member Functions
| moeoBinaryQualityIndicator ()
| constructor
void | setBounds (const unsigned _iObj, const double _min, const double _max)
| set the bounds for objective _iObj
## Protected Attributes
std::vector< Range > | bounds
| range (min and max double value) for each objective
## Private Types
typedef EOFitness::fitness_traits | traits
| fitness traits
## Classes
class | Range
| Private class to represent the bounds. More...

## Detailed Description

### template<class EOFitness>
class moeoBinaryQualityIndicator< EOFitness >

Functor Binary quality indicator Binary performance measure to use in the replacement selection process of IBEA (Indicator-Based Evolutionary Algorithm) Of course, EOFitness needs to be an eoParetoFitness object.

Definition at line 28 of file moeoBinaryQualityIndicator.h.

## Member Function Documentation

template<class EOFitness>

void moeoBinaryQualityIndicator< EOFitness >::setBounds | ( | const unsigned | _iObj,
|  | const double | _min,
|  | const double | _max |
| ) |  |  | `[inline]`

set the bounds for objective _iObj

Parameters:

  | unsigned | _iObj the index of the objective
  | double | _min the minimum value
  | double | _max the maximum value

Definition at line 51 of file moeoBinaryQualityIndicator.h.

Referenced by moeoIBEAAvgSorting< EOT, FitnessEval >::setBounds(), moeoIBEAStochSorting< EOT, FitnessEval >::setBounds(), and moeoIBEASorting< EOT, Fitness >::setBounds().

The documentation for this class was generated from the following file:

- moeoBinaryQualityIndicator.h